Bug 1282758 - [abrt] dstat: dstat:2224:listplugins:NameError: global name 'glob' is not defined
[abrt] dstat: dstat:2224:listplugins:NameError: global name 'glob' is not def...
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: dstat (Show other bugs)
26
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: David Kaspar [Dee'Kej]
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:d87bf554305d2443364df8ebaea...
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-17 05:54 EST by Shatadru Bandyopadhyay
Modified: 2017-07-26 11:46 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 14:29:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (768 bytes, text/plain)
2015-11-17 05:54 EST, Shatadru Bandyopadhyay
no flags Details
File: environ (2.72 KB, text/plain)
2015-11-17 05:54 EST, Shatadru Bandyopadhyay
no flags Details

  None (edit)
Description Shatadru Bandyopadhyay 2015-11-17 05:54:49 EST
Version-Release number of selected component:
dstat-0.7.2-13.fc21

Additional info:
reporter:       libreport-2.6.3
cmdline:        /usr/bin/python /bin/dstat -c -l -m
executable:     /bin/dstat
kernel:         4.1.8-200.fc22.x86_64
runlevel:       N 5
type:           Python
uid:            0

Truncated backtrace:
dstat:2224:listplugins:NameError: global name 'glob' is not defined

Traceback (most recent call last):
  File "/bin/dstat", line 2582, in <module>
    op = Options(sys.argv[1:])
  File "/bin/dstat", line 96, in __init__
    allplugins = listplugins()
  File "/bin/dstat", line 2224, in listplugins
    for filename in glob.glob(path + '/dstat_*.py'):
NameError: global name 'glob' is not defined

Local variables in innermost frame:
remod: <_sre.SRE_Pattern object at 0x7f3e0e520ea0>
path: '/root/.dstat/'
plugins: ['page', 'int', 'cpu24', 'epoch', 'disk24old', 'ipc', 'int24', 'udp', 'swapold', 'io', 'fs', 'aio', 'swap', 'disk', 'raw', 'mem', 'time', 'vm', 'proc', 'cpu', 'lock', 'sys', 'tcp', 'unix', 'disk24', 'load', 'socket', 'net', 'page24']
filename: 'dstat'
Comment 1 Shatadru Bandyopadhyay 2015-11-17 05:54:55 EST
Created attachment 1095341 [details]
File: backtrace
Comment 2 Shatadru Bandyopadhyay 2015-11-17 05:54:57 EST
Created attachment 1095342 [details]
File: environ
Comment 3 Jiri Popelka 2015-11-18 04:13:10 EST
'glob' is standard python module from python-libs package and dstat correctly imports it so everything should work OK unless there's any problem with your python-libs package.

What does 'rpm -V python-libs' show ?
Comment 4 Shatadru Bandyopadhyay 2015-12-03 23:58:21 EST
#rpm -V python-libs
#
#rpm -q python-libs
python-libs-2.7.10-8.fc23.x86_64

-Shatadru
Comment 5 Fedora End Of Life 2016-07-19 14:29:24 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 6 David Kaspar [Dee'Kej] 2016-07-20 11:06:39 EDT
I'm reopening this BZ, because this is something we should look into at some point...
Comment 7 Fedora End Of Life 2017-07-25 15:30:44 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.